import request from '@/utils/request.js'

// 查询国际详情市场组管理列表
export function listGroup(query) {
  return request({
    url: '/control/ControlInternationalMarketGroup/list',
    method: 'get',
    params: query
  })
}

// 标准明细
export function listStandard(query) {
  return request({
    url: '/control/ControlInternationalMarketGroup/getStandardInfo',
    method: 'get',
    params: query
  })
}

// 获取所有市场组信息-未在列表出现过的
export function getAllMarketGroup(query) {
  return request({
    url: '/control/ControlInternationalMarketGroup/getAllMarketGroup',
    method: 'get',
    params: query
  })
}
// 新增市场组
export function insertMarketGroup(query) {
  return request({
    url: '/control/ControlInternationalMarketGroup/insertMarketGroup',
    method: 'post',
    data: query
  })
}
// 删除市场组
export function deleteMarketGroup(id) {
  return request({
    url: '/control/ControlInternationalMarketGroup/deleteMarketGroup/'+id,
    method: 'delete'
  })
}
// 编辑市场组
export function editMarketGroup(data) {
  return request({
    url: '/control/ControlInternationalMarketGroup/editMarketGroup',
    method: 'post',
    data: data
  })
}
